- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CAttributeListEntry Class Reference

List of all members.

## Public Member Functions
| CAttributeListEntry (long size, CViewAttributeID id)
| ~CAttributeListEntry ()
const CViewAttributeID | getID () const
const long | getSize () const
void * | getPointer () const
CAttributeListEntry * | getNext () const
void | setNext (CAttributeListEntry *entry)
## Protected Member Functions
| CAttributeListEntry ()
## Protected Attributes
CAttributeListEntry * | nextEntry
void * | pointer
long | sizeOfPointer
CViewAttributeID | id

## Constructor & Destructor Documentation

CAttributeListEntry::CAttributeListEntry | ( | long | size,
|  | CViewAttributeID | id
| ) | `[inline]`

CAttributeListEntry::~CAttributeListEntry | ( |  | ) | `[inline]`

CAttributeListEntry::CAttributeListEntry | ( |  | ) | `[inline, protected]`

## Member Function Documentation

const CViewAttributeID CAttributeListEntry::getID | ( |  | ) | const`[inline]`

CAttributeListEntry* CAttributeListEntry::getNext | ( |  | ) | const`[inline]`

void* CAttributeListEntry::getPointer | ( |  | ) | const`[inline]`

const long CAttributeListEntry::getSize | ( |  | ) | const`[inline]`

void CAttributeListEntry::setNext | ( | CAttributeListEntry * | entry | ) | `[inline]`

## Member Data Documentation

CViewAttributeID CAttributeListEntry::id`[protected]`

CAttributeListEntry* CAttributeListEntry::nextEntry`[protected]`

void* CAttributeListEntry::pointer`[protected]`

long CAttributeListEntry::sizeOfPointer`[protected]`

The documentation for this class was generated from the following file:

- vstgui.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.